Problema com o plugin jasper-response...
16/11/2013 19:39
0
Olá a todos, estou tentando usar o plugin jasper-response mais ao executar o método de chamada do relatório me é mostrado o seguinte erro.

Error 2013-11-16 19:23:25,533 [http-bio-8080-exec-10] ERROR errors.GrailsExceptionResolver - ClassCastException occurred when processing request: [POST] /sigep/eleitor/relatorioEleitores
cannot assign instance of net.sf.jasperreports.engine.base.JRBaseLine to field net.sf.jasperreports.engine.base.JRBasePen.penContainer of type net.sf.jasperreports.engine.JRPenContainer in instance of net.sf.jasperreports.engine.base.JRBasePen. Stacktrace follows:
Message: cannot assign instance of net.sf.jasperreports.engine.base.JRBaseLine to field net.sf.jasperreports.engine.base.JRBasePen.penContainer of type net.sf.jasperreports.engine.JRPenContainer in instance of net.sf.jasperreports.engine.base.JRBasePen


Alguem já passou por esse problema, fiz exatamente as dicas que postaram aqui neste post, mais mesmo assim não consigo renderizar o meu relatório segue o meu código no BuidConfig.groovy

dependencies {
runtime('net.sf.jasperreports:jasperreports:3.6.0')

}


Antecipadamente obrigado a todos...
Tags: plugin jasper-response


0
Alguem sabe como eu posso fazer o plugin jasper-response rodar em uma aplicação com o Grails 2.0.4 ?
22/11/2013 16:42


0
Olá.

Amigo, esse erro me parece problema de compatibilidade com a versão do jasper reports que instalou. É uma versão um tanto antiga. Tentou com uma mais nova?

Abraços.


0
Olá Yoshiriro, ninguém melhor do que você pra me responder sobre o plugin, cara eu segui exatamente um outro post respondido por você aqui na comunidade, qual a versão que você recomenda colocar nas dependências pois já tentei outras versões sim mais continua dando o mesmo erro.

Obrigado pela atenção...
30/11/2013 22:21


0
Olá.

Amigo, fiz um teste aqui com Grails 2.0.4, a versão 1.0.1 do Jasper Response e Jasper Reports 3.6.0 e tudo funcionou perfeitamente.

Você configurou NO PROJETO, o Jasper 3.6.0. Usou essa mesma versão no IReport? Isso costuma ser um clássico problema (versão do IReport!=versão do Jasper em Runtime").



Ainda não faz parte da comunidade???

Para se registrar, clique aqui.


Aprenda Groovy e Grails com a Formação itexto!

Newsletter Semana Groovy

Assinar

Envie seu link!


Livro de Grails


/dev/All

Os melhores blogs de TI (e em português) em um único lugar!

 
Creative Commons
RSS Grails Brasil é mantido por itexto Consultoria.
Em caso de problemas contacte Henrique Lobo Weissmann (Kico) por e-mail: kico@itexto.com.br
Todo o conteúdo presente neste site adota o Creative Commons como licença padrão.
Ver: 4.14.0
itexto